Teams
Remove team sprints
Removes the provided sprint ids from a team.
DELETE
/
v1
/
public
/
teams
/
{id}
/
sprints
Remove team sprints
curl --request DELETE \
--url https://api.agile-tools.io/v1/public/teams/{id}/sprints \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"sprintIds": [
"<string>"
]
}
'import requests
url = "https://api.agile-tools.io/v1/public/teams/{id}/sprints"
payload = { "sprintIds": ["<string>"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sprintIds: ['<string>']})
};
fetch('https://api.agile-tools.io/v1/public/teams/{id}/sprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/teams/{id}/sprints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'sprintIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/teams/{id}/sprints"
payload := strings.NewReader("{\n \"sprintIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.agile-tools.io/v1/public/teams/{id}/sprints")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sprintIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/teams/{id}/sprints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sprintIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "6b9a8462-e58f-4697-a725-f55bb86e3b2d",
"sprintIds": [],
"sprintNames": [],
"deleted": false
},
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Body
application/json
Sprint removal payload. Use an empty list for a no-op.
Sprint ids in the authenticated organization. Omit to keep current sprints or provide an empty list to clear all sprints.
⌘I
Remove team sprints
curl --request DELETE \
--url https://api.agile-tools.io/v1/public/teams/{id}/sprints \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"sprintIds": [
"<string>"
]
}
'import requests
url = "https://api.agile-tools.io/v1/public/teams/{id}/sprints"
payload = { "sprintIds": ["<string>"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sprintIds: ['<string>']})
};
fetch('https://api.agile-tools.io/v1/public/teams/{id}/sprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/teams/{id}/sprints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'sprintIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/teams/{id}/sprints"
payload := strings.NewReader("{\n \"sprintIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.agile-tools.io/v1/public/teams/{id}/sprints")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sprintIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/teams/{id}/sprints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sprintIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "6b9a8462-e58f-4697-a725-f55bb86e3b2d",
"sprintIds": [],
"sprintNames": [],
"deleted": false
},
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z"
}
}
